Bug 209959 - Review Request: tenr-de-styles-pkg - A collection of over 200 styles/themes for fluxbox
Review Request: tenr-de-styles-pkg - A collection of over 200 styles/themes f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-08 20:41 EDT by Michael Rice
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 10:23:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Rice 2006-10-08 20:41:20 EDT
Spec URL: http://errr.fluxbox-wiki.org/fedora_stuff/tenr/tenr.de-styles-pkg.spec
SRPM URL: http://errr.fluxbox-wiki.org/fedora_stuff/tenr/tenr.de-styles-pkg-1.0-1.src.rpm

Description: A collection of over 200 styles/themes for fluxbox


rpmlint gives a warning about the license but it seems it has nothing about any creative commons licenses in its source.
/usr/share/rpmlint/TagsCheck.py  <-- nothing in here...
Comment 1 Michael Rice 2006-10-08 20:46:40 EDT
I needed to move the src rpm:
http://errr-online.com/fluxbox/tenr.de-styles-pkg-1.0-1.src.rpm 

To much hurt on my home connection.
Comment 2 Patrice Dumas 2006-10-09 07:14:52 EDT
* There shouldn't be a '.' in the package name as seen here:
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines

* The rpmlint issue is ignorable, although you may want to open
  a bug about missing Creative Commons licences.

* If I'm not wrong -r is impled by -a for cp.

* The Source0 should be an url. It seems to be
http://www.tenr.de/files/fluxmod-styles-pkg.tar.bz2
What is a bit bad is that there is no versionning, you 
should certainly ask upstream for a version string (in ascii
ascending order...).

Since there doesn't seems to be any release number currently,
and if upstream don't want to add any, my advice would be 
to use the stamp file to construct the version. Something along:

%define stamp 20061009

Version:        0.%{stamp}

Source0:        %{name}-%{stamp}.tar.bz2
# unversioned upstream source, downloaded with wget -N
# renamed to %%{name}-YYYYMMDD.tar.gz
#Source0:       http://www.tenr.de/files/tenr.de-styles-pkg.tar.bz2

%setup -q -n %{name}

With 
$ ls -l  tenr.de-styles-pkg.tar.bz2
-rw-r--r-- 1 dumas dumas 4778973 Oct  9 00:05 tenr.de-styles-pkg.tar.bz2

The leading 0 in version is there to try to have future version 
number higher.

* %{_styledir}/ will be unowned.

* The most annoying thing is that it doesn't work out of the box,
  the new themes don't appear anywhere in the fluxbox menu...
Comment 3 Michael Rice 2006-10-09 09:00:28 EDT
(In reply to comment #2)
> * There shouldn't be a '.' in the package name as seen here:
>   http://fedoraproject.org/wiki/Packaging/NamingGuidelines

no problem, easy fix

> 
> * The rpmlint issue is ignorable, although you may want to open
>   a bug about missing Creative Commons licences.
Good idea

> 
> * If I'm not wrong -r is impled by -a for cp.
nope thats correct, according to the man it implys -dpR
so Ill remove the r

> 
> * The Source0 should be an url. It seems to be
> http://www.tenr.de/files/fluxmod-styles-pkg.tar.bz2
This is not the same thing at all but I do plan to package these too so we will
get the package name fixed there too.

> What is a bit bad is that there is no versionning, you 
> should certainly ask upstream for a version string (in ascii
> ascending order...).
> 
done. He is doing it for me now.

> * %{_styledir}/ will be unowned.
How is the best way to resolve this?

 
> * The most annoying thing is that it doesn't work out of the box,
>   the new themes don't appear anywhere in the fluxbox menu...

the problem with making them work out of the box is that some how every user on
the system would need the menu in ~/.fluxbox/menu edited, even if they didnt
want the styles to begin with, only the admin wanted them on the system for them
to use. This package adds over 200 styles, and getting them all in your menu if
you dont want them can annoy you when you open the menu and get scrolled to
where they are, because the submenu it makes will cover the whole screen area. I
did include a README which has instructions for a user to add them to the menu.
Comment 4 Patrice Dumas 2006-10-09 09:24:27 EDT
(In reply to comment #3)


> > * The Source0 should be an url. It seems to be
> > http://www.tenr.de/files/fluxmod-styles-pkg.tar.bz2
> This is not the same thing at all but I do plan to package these too so we will
> get the package name fixed there too.

Yep, I used the url just around the right one...


> > * %{_styledir}/ will be unowned.
> How is the best way to resolve this?

Either you have

%{_styledir}/

Or if you insist on having the glob (since it will error out if the 
directory is empty)

%dir %{_styledir}
%{_styledir}/*


> you dont want them can annoy you when you open the menu and get scrolled to
> where they are, because the submenu it makes will cover the whole screen area. I
> did include a README which has instructions for a user to add them to the menu.

After some thinking, it seems that the alternative would imply 
patching fluxbox-xdg-menu, which is not in the same package. Not
handy. Maybe a README is all what is needed.
Comment 5 Michael Rice 2006-10-09 09:31:25 EDT
I am one of the devs of the fluxbox-xdg-menu and thats not out of the question
for me to add that.
Comment 6 Patrice Dumas 2006-10-09 09:57:23 EDT
I tested

[submenu] (tenr.de)
[stylesmenu] (tenr.de) {/usr/share/tenr.de-styles-pkg-1.0/styles}
[end]

This is unusable, as you predicted. So a README seems better.

What would seem the best to me would be an app which allows to
set the theme by choosing in a scroll down menu in a simple widget,
with an easy way for packagers to drop a file listing new directories 
for themes, in a config directory.
Comment 7 Michael Rice 2006-10-09 10:04:15 EDT
funny you mention.. I have this app written already and was waiting for this
style pack to get the OK then adding my app next called fluxstyle:
http://fluxstyle.berlios.de its a graphical style manager that looks some what
like the gnome-theme-manager in looks..
Comment 8 Patrice Dumas 2006-10-09 10:12:27 EDT
In that case a README will really be sufficient, and the perfect
integration may be done later ;-)
Comment 10 Patrice Dumas 2006-10-10 03:46:29 EDT
* rpmlint has some warnings:
W: tenr-de-styles-pkg invalid-license Creative Commons Attribution-ShareAlike 2.5
W: tenr-de-styles-pkg no-%build-section
W: tenr-de-styles-pkg invalid-license Creative Commons Attribution-ShareAlike 2.5
E: tenr-de-styles-pkg script-without-shebang
/usr/share/tenr-de-styles-pkg-1.0/styles/monochrom2..3/theme.cfg

The licence and no-%build-section are ignorable, the error should be 
corrected, it comes from a wrong permission. Something like

chmod -x styles/monochrom2..3/theme.cfg

in %prep should do the trick.

* follow packaging and naming guidelines
* free licence for content, included
* spec simple and legible
* match upstream
758323157d8a8fb98cb80d989342fd9c  tenr-de-styles-pkg-1.0.tar.bz2
* own directories it creates
* sane provides
* %files section right
* not a gui app nor a library
* content, not code, but content acceptable in fedora extras

Is the Requires: fluxbox really right? Are those themes unusefull
for similar window managers? Wouldn't it make sense to allow
installing the themes, but not fluxbox, to use the pixmaps in another
possibly unrelated project? 

The Requires: fluxbox issue is not a blocker, the wrong permission 
is a blocker.

So, it is 

APPROVED

if you fix the permission issue. You can do it after importing to cvs, 
or before whatever you prefer.
Comment 11 Patrice Dumas 2006-10-18 11:14:48 EDT
set right package name in title.
Comment 12 Michael Rice 2006-10-18 19:01:17 EDT
where is the name incorrect?
Comment 13 Patrice Dumas 2006-10-19 03:06:40 EDT
The name in the summary was the name with the dot, 
tenr.de-styles-pkg, while the finale package name has the
dot replaced by a -: tenr-de-styles-pkg. Having the
wrong package name in summary leads to false alarms in
Christian package status script.

Note You need to log in before you can comment on or make changes to this bug.